Bug 814619 - Fedora 16 32bit. wine fails to install
Fedora 16 32bit. wine fails to install
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 05:34 EDT by Addinall
Modified: 2015-02-17 09:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:14:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Addinall 2012-04-20 05:34:57 EDT
Description of problem:


yum install wine


Install  1 Package (+22 Dependent packages)

Total size: 16 M
Installed size: 102 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
error: rpmdbNextIterator: skipping h#    1762 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
ERROR with transaction check vs depsolve:
libGL.so.1 is needed by wine-core-1.5.1-1.fc16.i686
****Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum*****

Here it is guys and gals, as requested.

** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
policycoreutils-sandbox-2.1.4-13.fc16.i686 has missing requires of xorg-x11-servgr-Xephyr
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-04-20.19-19.5TeQaq.yumtx

Version-Release number of selected component (if applicable):

Fedora 16

How reproducible:


Steps to Reproduce:
1. sudo yum install wine
2.
3.
  
Actual results:

See above

Expected results:

Wine installs

Additional info:
Comment 1 James Antill 2012-04-20 12:18:26 EDT
This look slike an rpm DB problem ... what does:

rpm -Va --noscripts

...say? You could also try rpm --rebuilddb (although save /var/lib/rpm first, just in case).
Comment 2 Addinall 2012-04-20 14:32:24 EDT
rpm -Va --noscripts    # initially gave a thousand of these;


S.?......    /usr/libexec/udisks-helper-mkfs
prelink: /usr/libexec/udisks-helper-modify-partition: at least one of file's dependencies has changed since prelinking
S.?......    /usr/libexec/udisks-helper-modify-partition
prelink: /usr/sbin/anacron: at least one of file's dependencies has changed since prelinking

I saved /var/lib/rpm and 

rpm --rebuilddb


[root@Fermi ~]# rpm --rebuilddb
error: rpmdbNextIterator: skipping h#    1853 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#    1762 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#    1850 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#    1733 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#    1827 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#    1904 Header V3 RSA/SHA256 Signature, key ID adf25d9c: BAD
error: rpmdbNextIterator: skipping h#    1771 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#    1773 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD

This installation is only 20 hours old.  I had to blow the last clean install away because rpm and yum got so whacked the machine just wouldn't work and nothing would fix it.  I took this machine down to metal again.  Clean install, only used yum to get standard packages.  A LAMP stack.  cpan. VSL.  Used CPAN to install Moose.  The installed Virtual box and BOOM.  Broken again.  rpm and yum are really broken.

So,

[root@Fermi ~]# package-cleanup --problems
Loaded plugins: langpacks, presto, refresh-packagekit
Package sushi-0.2.1-2.fc16.i686 requires libGL.so.1
Package mesa-libGLU-7.11.2-3.fc16.i686 requires libGL.so.1
Package libcaca-0.99-0.12.beta17.fc16.i686 requires libGL.so.1
Package libmx-1.4.1-1.fc16.i686 requires libGL.so.1
Package totem-nautilus-3.2.1-2.fc16.i686 requires libGL.so.1
Package xorg-x11-server-Xephyr-1.11.4-2.fc16.i686 requires libGL.so.1
Package ftgl-2.1.3-0.4.rc5.fc15.i686 requires libGL.so.1
Package libmash-0.1.0-2.fc16.i686 requires libGL.so.1
Package qt-x11-4.8.1-5.fc16.i686 requires libGL.so.1
Package libGLEW-1.6.0-1.fc16.i686 requires libGL.so.1
Package freeglut-2.6.0-6.fc15.i686 requires libGL.so.1
Package vlc-1.1.13-3.fc16.i686 requires libGL.so.1
Package vlc-1.1.13-3.fc16.i686 requires libvlccore.so.4
Package vlc-1.1.13-3.fc16.i686 requires vlc-core(x86-32) = ('0', '1.1.13', '3.fc16')
Package xorg-x11-drivers-7.4-2.fc15.i686 requires xorg-x11-drv-savage
Package cheese-libs-3.2.2-1.fc16.i686 requires libGL.so.1
Package gnome-shell-3.2.2.1-1.fc16.i686 requires libGL.so.1
Package gnome-shell-3.2.2.1-1.fc16.i686 requires libmutter.so.0
Package gnome-shell-3.2.2.1-1.fc16.i686 requires mutter(x86-32) >= ('0', '3.0.0', None)
Package libva-1.0.15-1.fc16.i686 requires libGL.so.1
Package redhat-lsb-4.0-7.1.fc16.i686 requires /usr/bin/at
Package redhat-lsb-4.0-7.1.fc16.i686 requires /usr/bin/batch
Package empathy-3.2.2-1.fc16.i686 requires libGL.so.1
Package clutter-gtk-1.0.4-1.fc16.i686 requires libGL.so.1
Package cheese-3.2.2-1.fc16.i686 requires libGL.so.1
Package totem-mozplugin-3.2.1-2.fc16.i686 requires libGL.so.1
Package gnome-session-3.2.1-2.fc16.i686 requires libGL.so.1
Package pyclutter-1.3.2-2.fc15.i686 requires libGL.so.1
Package totem-3.2.1-2.fc16.i686 requires libGL.so.1
Package rhythmbox-2.90.1-17.git20110927.fc16.i686 requires libGL.so.1
Package clutter-1.8.4-1.fc16.i686 requires libGL.so.1
Package libprojectM-2.0.1-12.fc16.i686 requires libGL.so.1
Package VirtualBox-4.1-4.1.12_77245_fedora16-1.i686 requires libGL.so.1
Package perl-SDL-2.2.6-4.fc16.i686 requires libGL.so.1
Package clutter-gst-1.4.4-1.fc16.i686 requires libGL.so.1
Package glx-utils-7.10-5.20101028.fc16.i686 requires libGL.so.1
Package gnome-color-manager-3.2.3-1.fc16.i686 requires libGL.so.1

Looks like the machine wants this library.....

[root@Fermi ~]# yum install libGL.so.1
Loaded plugins: langpacks, presto, refresh-packagekit
google-chrome                                                      |  951 B     00:00     
rpmfusion-free-updates                                             | 3.3 kB     00:00     
rpmfusion-nonfree-updates                                          | 3.3 kB     00:00     
updates/metalink                                                   | 2.2 kB     00:00     
virtualbox                                                         |  951 B     00:00     
Resolving Dependencies
--> Running transaction check
---> Package mesa-libGL.i686 0:7.11.2-3.fc16 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================
 Package               Arch            Version                   Repository          Size
==========================================================================================
Installing:
 mesa-libGL            i686            7.11.2-3.fc16             updates            147 k

Transaction Summary
==========================================================================================
Install  1 Package

Total download size: 147 k
Installed size: 565 k
Is this ok [y/N]: y
Downloading Packages:
mesa-libGL-7.11.2-3.fc16.i686.rpm                                  | 147 kB     00:00     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
** Found 37 pre-existing rpmdb problem(s), 'yum check' output follows:
VirtualBox-4.1-4.1.12_77245_fedora16-1.i686 has missing requires of libGL.so.1
1:cheese-3.2.2-1.fc16.i686 has missing requires of libGL.so.1
1:cheese-libs-3.2.2-1.fc16.i686 has missing requires of libGL.so.1
clutter-1.8.4-1.fc16.i686 has missing requires of libGL.so.1
clutter-gst-1.4.4-1.fc16.i686 has missing requires of libGL.so.1
clutter-gtk-1.0.4-1.fc16.i686 has missing requires of libGL.so.1
empathy-3.2.2-1.fc16.i686 has missing requires of libGL.so.1
freeglut-2.6.0-6.fc15.i686 has missing requires of libGL.so.1
ftgl-2.1.3-0.4.rc5.fc15.i686 has missing requires of libGL.so.1
glx-utils-7.10-5.20101028.fc16.i686 has missing requires of libGL.so.1
gnome-color-manager-3.2.3-1.fc16.i686 has missing requires of libGL.so.1
gnome-session-3.2.1-2.fc16.i686 has missing requires of libGL.so.1
gnome-shell-3.2.2.1-1.fc16.i686 has missing requires of libGL.so.1
gnome-shell-3.2.2.1-1.fc16.i686 has missing requires of libmutter.so.0
gnome-shell-3.2.2.1-1.fc16.i686 has missing requires of mutter(x86-32) >= ('0', '3.0.0', None)
libGLEW-1.6.0-1.fc16.i686 has missing requires of libGL.so.1
libcaca-0.99-0.12.beta17.fc16.i686 has missing requires of libGL.so.1
libmash-0.1.0-2.fc16.i686 has missing requires of libGL.so.1
libmx-1.4.1-1.fc16.i686 has missing requires of libGL.so.1
libprojectM-2.0.1-12.fc16.i686 has missing requires of libGL.so.1
libva-1.0.15-1.fc16.i686 has missing requires of libGL.so.1
mesa-libGLU-7.11.2-3.fc16.i686 has missing requires of libGL.so.1
perl-SDL-2.2.6-4.fc16.i686 has missing requires of libGL.so.1
pyclutter-1.3.2-2.fc15.i686 has missing requires of libGL.so.1
1:qt-x11-4.8.1-5.fc16.i686 has missing requires of libGL.so.1
redhat-lsb-4.0-7.1.fc16.i686 has missing requires of /usr/bin/at
redhat-lsb-4.0-7.1.fc16.i686 has missing requires of /usr/bin/batch
rhythmbox-2.90.1-17.git20110927.fc16.i686 has missing requires of libGL.so.1
sushi-0.2.1-2.fc16.i686 has missing requires of libGL.so.1
1:totem-3.2.1-2.fc16.i686 has missing requires of libGL.so.1
1:totem-mozplugin-3.2.1-2.fc16.i686 has missing requires of libGL.so.1
1:totem-nautilus-3.2.1-2.fc16.i686 has missing requires of libGL.so.1
vlc-1.1.13-3.fc16.i686 has missing requires of libGL.so.1
vlc-1.1.13-3.fc16.i686 has missing requires of libvlccore.so.4
vlc-1.1.13-3.fc16.i686 has missing requires of vlc-core(x86-32) = ('0', '1.1.13', '3.fc16')
xorg-x11-drivers-7.4-2.fc15.i686 has missing requires of xorg-x11-drv-savage
xorg-x11-server-Xephyr-1.11.4-2.fc16.i686 has missing requires of libGL.so.1
  Installing : mesa-libGL-7.11.2-3.fc16.i686                                          1/1 
  Verifying  : mesa-libGL-7.11.2-3.fc16.i686                                          1/1 

Installed:
  mesa-libGL.i686 0:7.11.2-3.fc16                                                         

Complete!

Ok.....

[root@Fermi ~]# yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora google-chrome rpmfusion-free rpmfusion-free-updates
              : rpmfusion-nonfree rpmfusion-nonfree-updates updates virtualbox
Cleaning up Everything
No delta-package files removed by presto

[root@Fermi ~]# rpm --rebuilddb
[root@Fermi ~]# 

Seems no errors.  Fingers crossed.

rpm -Va --noscripts     # still spews out errors ....

Unsatisfied dependencies for gnome-shell-3.2.2.1-1.fc16.i686:
	libmutter.so.0 is needed by (installed) gnome-shell-3.2.2.1-1.fc16.i686
	mutter(x86-32) >= 3.0.0 is needed by (installed) gnome-shell-3.2.2.1-1.fc16.i686
prelink: /usr/bin/gnome-shell: at least one of file's dependencies has changed since prelinking
S.?......    /usr/bin/gnome-shell
prelink: /usr/lib/gnome-shell/libgnome-shell.so: at least one of file's dependencies has changed since prelinking
S.?......    /usr/lib/gnome-shell/libgnome-shell.so
prelink: /usr/lib/libGLU.so.1.3.071100: at least one of file's dependencies has changed since prelinking

# sample only.  Lots and lots of errors. So.....

package-cleanup --problems
Loaded plugins: langpacks, presto, refresh-packagekit
Package gnome-shell-3.2.2.1-1.fc16.i686 requires libmutter.so.0
Package gnome-shell-3.2.2.1-1.fc16.i686 requires mutter(x86-32) >= ('0', '3.0.0', None)
Package redhat-lsb-4.0-7.1.fc16.i686 requires /usr/bin/at
Package redhat-lsb-4.0-7.1.fc16.i686 requires /usr/bin/batch
Package xorg-x11-drivers-7.4-2.fc15.i686 requires xorg-x11-drv-savage
Package vlc-1.1.13-3.fc16.i686 requires libvlccore.so.4
Package vlc-1.1.13-3.fc16.i686 requires vlc-core(x86-32) = ('0', '1.1.13', '3.fc16')

Any suggestions?  Forums suggest the only option is an F16 re-install.  That would make number four this fortnight.

I know the people that wrote yum think they are God-like creatures, but someone needs to tell them that it was crap years ago, and has just got worse.
It needs at the VERY least...

# ./nuke-yum-rpg --all
# ./really_rebuilddb

This is worse than early Windows.

Cheers,
Comment 3 Addinall 2012-04-20 17:32:57 EDT
I removed VirtualBox

# rpm -e VirtualBox-4.1

then;


[root@Fermi ~]# package-cleanup --problems
Loaded plugins: langpacks, presto, refresh-packagekit
Package gnome-shell-3.2.2.1-1.fc16.i686 requires libmutter.so.0
Package gnome-shell-3.2.2.1-1.fc16.i686 requires mutter(x86-32) >= ('0', '3.0.0', None)
Package redhat-lsb-4.0-7.1.fc16.i686 requires /usr/bin/at
Package redhat-lsb-4.0-7.1.fc16.i686 requires /usr/bin/batch
Package xorg-x11-drivers-7.4-2.fc15.i686 requires xorg-x11-drv-savage
Package vlc-1.1.13-3.fc16.i686 requires libvlccore.so.4
Package vlc-1.1.13-3.fc16.i686 requires vlc-core(x86-32) = ('0', '1.1.13', '3.fc16')

/usr/bin/at
and
/usr/bin/batch

certainly do exist.

libmutter is a GNOME thing isn't it?
Comment 4 Addinall 2012-04-20 17:41:57 EDT
removed vlc at this point

# rpm -e vlc

saved /var/lib/rpm again, and ...

# rpm --rebuilddb
error: rpmdbNextIterator: skipping h#     886 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#     317 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#     321 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#     683 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#     844 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#     888 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
error: rpmdbNextIterator: skipping h#     904 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD


What this all means is anyone's guess.  None of the utilities seem to fix anything at all.  Bit pointless having the really.

I'll keep looking.
Comment 5 Addinall 2012-04-20 17:56:59 EDT
# yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora google-chrome rpmfusion-free rpmfusion-free-updates
              : rpmfusion-nonfree rpmfusion-nonfree-updates updates virtualbox
Cleaning up Everything
No delta-package files removed by presto

OK.  See if an update will work;

[root@Fermi ~]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/metalink                                                    | 2.9 kB     00:00     
fedora                                                             | 4.2 kB     00:00     
fedora/primary_db                                                  |  12 MB     00:04     
fedora/group_gz                                                    | 431 kB     00:00     
google-chrome                                                      |  951 B     00:00     
google-chrome/primary                                              | 1.4 kB     00:00     
rpmfusion-free                                                     | 2.7 kB     00:00     
rpmfusion-free/primary_db                                          | 312 kB     00:00     
rpmfusion-free-updates                                             | 3.3 kB     00:00     
rpmfusion-free-updates/primary_db                                  | 353 kB     00:01     
rpmfusion-free-updates/group_gz                                    | 1.6 kB     00:00     
rpmfusion-nonfree                                                  | 2.7 kB     00:00     
rpmfusion-nonfree/primary_db                                       | 106 kB     00:00     
rpmfusion-nonfree-updates                                          | 3.3 kB     00:00     
rpmfusion-nonfree-updates/primary_db                               | 122 kB     00:00     
rpmfusion-nonfree-updates/group_gz                                 | 1.0 kB     00:00     
updates/metalink                                                   | 2.2 kB     00:00     
updates                                                            | 4.5 kB     00:00     
updates/primary_db                                                 | 4.6 MB     00:02     
updates/group_gz                                                   | 435 kB     00:00     
virtualbox                                                         |  951 B     00:00     
virtualbox/primary                                                 | 2.4 kB     00:00     
google-chrome                                                                         3/3
virtualbox                                                                            4/4
No Packages marked for Update

Try and reload vlc;


[root@Fermi ~]# yum install vlc
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package vlc.i686 0:1.1.13-3.fc16 will be installed
--> Processing Dependency: vlc-core(x86-32) = 1.1.13-3.fc16 for package: vlc-1.1.13-3.fc16.i686
--> Processing Dependency: libvlccore.so.4 for package: vlc-1.1.13-3.fc16.i686
--> Running transaction check
---> Package vlc-core.i686 0:1.1.13-3.fc16 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================
 Package          Arch         Version               Repository                      Size
==========================================================================================
Installing:
 vlc              i686         1.1.13-3.fc16         rpmfusion-free-updates         1.9 M
Installing for dependencies:
 vlc-core         i686         1.1.13-3.fc16         rpmfusion-free-updates         6.8 M

Transaction Summary
==========================================================================================
Install  1 Package (+1 Dependent package)

Total download size: 8.7 M
Installed size: 35 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): vlc-1.1.13-3.fc16.i686.rpm                                  | 1.9 MB     00:09     
(2/2): vlc-core-1.1.13-3.fc16.i686.rpm                             | 6.8 MB     00:38     
------------------------------------------------------------------------------------------
Total                                                     185 kB/s | 8.7 MB     00:47     
Running Transaction Check
error: rpmdbNextIterator: skipping h#     927 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
ERROR with transaction check vs depsolve:
libfreetype.so.6 is needed by vlc-1.1.13-3.fc16.i686
libfreetype.so.6 is needed by vlc-core-1.1.13-3.fc16.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 18 pre-existing rpmdb problem(s), 'yum check' output follows:
NetworkManager-openconnect-0.9.0-3.fc16.i686 has missing requires of libopenconnect.so.1
NetworkManager-openconnect-0.9.0-3.fc16.i686 has missing requires of openconnect >= ('0', '3.00', None)
anaconda-16.25-1.fc16.i686 has missing requires of genisoimage >= ('0', '1.1.9', '4')
brasero-3.2.0-1.fc16.i686 has missing requires of mkisofs
dvd+rw-tools-7.1-5.fc14.i686 has missing requires of mkisofs >= ('0', '2.0', None)
gnome-desktop3-3.2.1-2.fc16.i686 has missing requires of gnome-themes-standard
gnome-shell-3.2.2.1-1.fc16.i686 has missing requires of libmutter.so.0
gnome-shell-3.2.2.1-1.fc16.i686 has missing requires of mutter(x86-32) >= ('0', '3.0.0', None)
mysql-server-5.5.22-1.fc16.i686 has missing requires of perl(DBI)
mysql-server-5.5.22-1.fc16.i686 has missing requires of perl-DBI
perl-CPAN-1.9600.01-197.fc16.noarch has missing requires of perl(App::Cpan)
perl-DBD-MySQL-4.019-3.fc16.i686 has missing requires of perl(DBI)
perl-DBD-MySQL-4.019-3.fc16.i686 has missing requires of perl(DBI::Const::GetInfoType)
perl-ExtUtils-MakeMaker-6.57.5-197.fc16.noarch has missing requires of perl(Test::Harness)
redhat-lsb-4.0-7.1.fc16.i686 has missing requires of /usr/bin/at
redhat-lsb-4.0-7.1.fc16.i686 has missing requires of /usr/bin/batch
setroubleshoot-server-3.1.3-1.fc16.i686 has missing requires of policycoreutils-python
xorg-x11-drivers-7.4-2.fc15.i686 has missing requires of xorg-x11-drv-savage
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-04-21.07-48.j645UZ.yumtx
Segmentation fault (core dumped)


Great.  Back to a completely broken box.  It is very sad, after thirty years if UNIX coding and seventeen years Linux, Windows looks a far better development and production operating system.  We have gone backwards by HUGE amounts.

Cheers,
Comment 6 Addinall 2012-04-20 18:18:32 EDT
# rm -f /var/lib/rpm/__db.*
# rpm -vv --rebuilddb

[...]

D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding "dde97121e887582aa590f5e31b76e7128840f38e" to Sha1header index.
D:  read h#     765 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: OK
D: adding "libcdio" to Name index.
D: adding 38 entries to Basenames index.
D: adding "System Environment/Libraries" to Group index.
D: adding 36 entries to Requirename index.
D: adding 13 entries to Providename index.
D: adding 7 entries to Dirnames index.
D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding "818861b1f0f403ec83fdc06e8be48da01fd6c08f" to Sha1header index.
D:  read h#     255 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: OK
D: adding "xorg-x11-server-Xephyr" to Name index.
D: adding 2 entries to Basenames index.
D: adding "User Interface/X" to Group index.
D: adding 37 entries to Requirename index.
D: adding 3 entries to Providename index.
D: adding 2 entries to Dirnames index.
D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding "7a4a8359be6072da291818b3d9354183a5b8d644" to Sha1header index.
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm
D: closed   db index       /var/lib/rpmrebuilddb.9431/Sha1header
D: closed   db index       /var/lib/rpmrebuilddb.9431/Sigmd5
D: closed   db index       /var/lib/rpmrebuilddb.9431/Installtid
D: closed   db index       /var/lib/rpmrebuilddb.9431/Dirnames
D: closed   db index       /var/lib/rpmrebuilddb.9431/Triggername
D: closed   db index       /var/lib/rpmrebuilddb.9431/Obsoletename
D: closed   db index       /var/lib/rpmrebuilddb.9431/Conflictname
D: closed   db index       /var/lib/rpmrebuilddb.9431/Providename
D: closed   db index       /var/lib/rpmrebuilddb.9431/Requirename
D: closed   db index       /var/lib/rpmrebuilddb.9431/Group
D: closed   db index       /var/lib/rpmrebuilddb.9431/Basenames
D: closed   db index       /var/lib/rpmrebuilddb.9431/Name
D: closed   db index       /var/lib/rpmrebuilddb.9431/Packages
D: closed   db environment /var/lib/rpmrebuilddb.9431
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm
[root@Fermi ~]# 

# yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora google-chrome rpmfusion-free rpmfusion-free-updates
              : rpmfusion-nonfree rpmfusion-nonfree-updates updates virtualbox
Cleaning up Everything
No delta-package files removed by presto


#yum update

Loaded plugins: langpacks, presto, refresh-packagekit
fedora/metalink                                                    | 2.8 kB     00:00     
fedora                                                             | 4.2 kB     00:00     
fedora/primary_db                                                  |  12 MB     00:03     
fedora/group_gz                                                    | 431 kB     00:00     
google-chrome                                                      |  951 B     00:00     
google-chrome/primary                                              | 1.4 kB     00:00     
rpmfusion-free                                                     | 2.7 kB     00:00     
rpmfusion-free/primary_db                                          | 312 kB     00:00     
rpmfusion-free-updates                                             | 3.3 kB     00:00     
rpmfusion-free-updates/primary_db                                  | 353 kB     00:02     
rpmfusion-free-updates/group_gz                                    | 1.6 kB     00:00     
rpmfusion-nonfree                                                  | 2.7 kB     00:00     
rpmfusion-nonfree/primary_db                                       | 106 kB     00:00     
rpmfusion-nonfree-updates                                          | 3.3 kB     00:00     
rpmfusion-nonfree-updates/primary_db                               | 122 kB     00:00     
rpmfusion-nonfree-updates/group_gz                                 | 1.0 kB     00:00     
updates/metalink                                                   | 2.2 kB     00:00     
updates                                                            | 4.5 kB     00:00     
updates/primary_db                                                 | 4.6 MB     00:01     
updates/group_gz                                                   | 435 kB     00:00     
virtualbox                                                         |  951 B     00:00     
virtualbox/primary                                                 | 2.4 kB     00:00     
google-chrome                                                                         3/3
virtualbox                                                                            4/4
No Packages marked for Update

Taking VirtualBox out of the equation
enabled=0

]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/metalink                                                    | 2.9 kB     00:00     
fedora                                                             | 4.2 kB     00:00     
fedora/primary_db                                                  |  12 MB     00:03     
fedora/group_gz                                                    | 431 kB     00:00     
google-chrome                                                      |  951 B     00:00     
google-chrome/primary                                              | 1.4 kB     00:00     
rpmfusion-free                                                     | 2.7 kB     00:00     
rpmfusion-free/primary_db                                          | 312 kB     00:00     
rpmfusion-free-updates                                             | 3.3 kB     00:00     
rpmfusion-free-updates/primary_db                                  | 353 kB     00:00     
rpmfusion-free-updates/group_gz                                    | 1.6 kB     00:00     
rpmfusion-nonfree                                                  | 2.7 kB     00:00     
rpmfusion-nonfree/primary_db                                       | 106 kB     00:00     
rpmfusion-nonfree-updates                                          | 3.3 kB     00:00     
rpmfusion-nonfree-updates/primary_db                               | 122 kB     00:00     
rpmfusion-nonfree-updates/group_gz                                 | 1.0 kB     00:00     
updates/metalink                                                   | 2.2 kB     00:00     
updates                                                            | 4.5 kB     00:00     
updates/primary_db                                                 | 4.6 MB     00:02     
updates/group_gz                                                   | 435 kB     00:00     
google-chrome                                                                         3/3
No Packages marked for Update


# yum install wine
Complete!

# yum install vlc
Complete

So it sorta looks happy again.  Only took seven hours over night which is FAR TO LONG.  About thirty development hours gone missing this week.

I wouldn't call this closed, as SOMETHING is breaking rpm/yum.  I am not a betting man but I am not installing VirtualBox on this machine again.

Cheers,
Mark.
Comment 7 Fedora End Of Life 2013-04-03 12:47:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 12:07:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 09:14:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.